Name:           perl-Config-General
Version:        2.65
Release:        1
Summary:        Generic configuration module for Perl
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Config-General
Source0:        https://cpan.metacpan.org/authors/id/T/TL/TLINDEN/Config-General-%{version}.tar.gz

Patch0001:      %{name}-2.50-system-ixhash.patch

BuildArch:      noarch
BuildRequires:  coreutils glibc-common findutils make perl-interpreter perl-generators perl(ExtUtils::MakeMaker)
BuildRequires:  perl(base) perl(Carp) perl(Carp::Heavy) perl(constant) perl(English) perl(Exporter) perl(File::Glob) 
BuildRequires:  perl(File::Spec::Functions) perl(FileHandle) perl(IO::File) perl(strict) perl(vars) perl(warnings)
BuildRequires:  perl(Data::Dumper) perl(Test::More) perl(Tie::IxHash)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This module opens a config file and parses its contents for
you. After parsing the module returns a hash structure which contains
the representation of the config file.
The format of config files supported by Config::General is inspired by
the well known Apache config format, in fact, this module is 100%
read-compatible with Apache config files, but you can also just use simple
name/value pairs in your config files.
In addition to the capabilities of an Apache config file it supports
some enhancements such as here-documents, C-style comments or
multiline options. It is also possible to save the config back to
disk, which makes the module a perfect backend for configuration
interfaces.
It is possible to use variables in config files and there exists also
support for object oriented access to the configuration.

%package_help

%prep
%autosetup -n Config-General-%{version} -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
rm -rf $RPM_BUILD_ROOT
make pure_install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null ';'
%{_fixperms} $RPM_BUILD_ROOT/*

%files
%defattr(-,root,root,-)
%{perl_vendorlib}/Config/

%files help
%defattr(-,root,root)
%doc Changelog README example.cfg
%{_mandir}/*

%changelog
* Tue Jun 14 2022 SimpleUpdate Robot <tc@openeuler.org> - 2.65-1
- Upgrade to version 2.65

* Tue Feb 11 2020 openEuler Buildteam <buildteam@openeuler.org> - 2.63-1
- Package init
